org.keycloak.dom.saml.v1.assertion

## Class SAML11ConditionsType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonConditionsType
  - - org.keycloak.dom.saml.v1.assertion.SAML11ConditionsType

- All Implemented Interfaces:
    Serializable

      public class SAML11ConditionsType
      extends CommonConditionsType

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<SAML11ConditionAbstractType>` | `conditions`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonConditionsType

      `notBefore, notOnOrAfter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11ConditionsType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(SAML11ConditionAbstractType condition)`
    `void` | `addAll(List<SAML11ConditionAbstractType> theConditions)`
    `List<SAML11ConditionAbstractType>` | `get()`
    `boolean` | `remove(SAML11ConditionAbstractType condition)`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonConditionsType

      `getNotBefore, getNotOnOrAfter, setNotBefore, setNotOnOrAfter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### conditions

          public List<SAML11ConditionAbstractType> conditions

  - ### Constructor Detail

    - #### SAML11ConditionsType

          public SAML11ConditionsType()

  - ### Method Detail

    - #### add

          public void add(SAML11ConditionAbstractType condition)

    - #### addAll

          public void addAll(List<SAML11ConditionAbstractType> theConditions)

    - #### remove

          public boolean remove(SAML11ConditionAbstractType condition)

    - #### get

          public List<SAML11ConditionAbstractType> get()

Copyright © 2020 JBoss by Red Hat. All rights reserved.